package com.ruoyi.tool.mapper;

import java.util.List;
import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.ibatis.annotations.Param;

/**
 * 附件Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public interface TUnifyFileMapper 
{
    /**
     * 查询附件
     * 
     * @param id 附件主键
     * @return 附件
     */
    public TUnifyFile selectTUnifyFileById(String id);

    /**
     * 查询附件列表
     * 
     * @param tUnifyFile 附件
     * @return 附件集合
     */
    public List<TUnifyFile> selectTUnifyFileList(TUnifyFile tUnifyFile);

    /**
     * 新增附件
     * 
     * @param tUnifyFile 附件
     * @return 结果
     */
    public int insertTUnifyFile(TUnifyFile tUnifyFile);

    /**
     * 修改附件
     * 
     * @param tUnifyFile 附件
     * @return 结果
     */
    public int updateTUnifyFile(TUnifyFile tUnifyFile);

    /**
     * 删除附件
     * 
     * @param id 附件主键
     * @return 结果
     */
    public int deleteTUnifyFileById(String id);

    /**
     * 批量删除附件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUnifyFileByIds(String[] ids);

    /**
     * 批量删除附件 (修改del_flag状态)
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateTUnifyFileByIds(String[] ids);

    /**
     * 根据附件业务ID()获取附件详情信息列表
     * @param fileBusinessId
     * @return
     */
    public List<TUnifyFile> selectTUnifyFileByBusinessIdList(@Param("fileBusinessId")String fileBusinessId,@Param("uploadType")String uploadType);
    /**
     * 根据ID()获取附件详情信息列表
     * @param id
     * @return
     */
    public List<TUnifyFile> selectTUnifyFileByIdList(@Param("id")String id,@Param("uploadType")String uploadType);
    /**
     * 根据fileId()获取项目中所有附件列表
     * @param fileId
     * @return
     */
    List<TUnifyFile> listFileId(@Param("fileId")String fileId);

    /**
     * 批量删除附件
     *
     * @param fileBusinessIds
     * @return
     */
    int updateTUnifyFileBusinessIds(String[] fileBusinessIds);
}
